ipa_sensor_info Struct Reference

Camera sensor information for the IPA context operations. More...

## Public Attributes

const char * | model
| The camera sensor model name. More...
uint8_t | bits_per_pixel
| The camera sensor image format bit depth. More...
struct {
uint32_t width
uint32_t height
} | active_area
| The camera sensor pixel array active size. More...
struct {
int32_t left
int32_t top
uint32_t width
uint32_t height
} | analog_crop
| The analog crop rectangle. More...
struct {
uint32_t width
uint32_t height
} | output_size
| The size of the output image. More...
uint64_t | pixel_rate
| The number of pixel produced in a second. More...
uint32_t | line_length
| The full line length, including blanking, in pixel units. More...

## Detailed Description

Camera sensor information for the IPA context operations.

See also
  libcamera::CameraSensorInfo

## Member Data Documentation

## active_area

ipa_sensor_info::active_area

The camera sensor pixel array active size.

See also
  libcamera::CameraSensorInfo::activeAreaSize

## analog_crop

ipa_sensor_info::analog_crop

The analog crop rectangle.

See also
  libcamera::CameraSensorInfo::analogCrop

## bits_per_pixel

ipa_sensor_info::bits_per_pixel

The camera sensor image format bit depth.

See also
  libcamera::CameraSensorInfo::bitsPerPixel

## height

output_size ipa_sensor_info::height

The camera sensor pixel array active area height.

The vertical size of the output image.

The vertical size of the analog crop rectangle.

See also
  libcamera::CameraSensorInfo::activeAreaSize
  libcamera::CameraSensorInfo::analogCrop
  libcamera::CameraSensorInfo::outputSize

## left

analog_crop ipa_sensor_info::left

The left coordinate of the analog crop rectangle, relative to the pixel array active area.

See also
  libcamera::CameraSensorInfo::analogCrop

## line_length

ipa_sensor_info::line_length

The full line length, including blanking, in pixel units.

See also
  libcamera::CameraSensorInfo::lineLength

## model

ipa_sensor_info::model

The camera sensor model name.

Todo:
  Remove this field as soon as no IPA depends on it anymore

## output_size

ipa_sensor_info::output_size

The size of the output image.

See also
  libcamera::CameraSensorInfo::outputSize

## pixel_rate

ipa_sensor_info::pixel_rate

The number of pixel produced in a second.

See also
  libcamera::CameraSensorInfo::pixelRate

## top

analog_crop ipa_sensor_info::top

The top coordinate of the analog crop rectangle, relative to the pixel array active area.

See also
  libcamera::CameraSensorInfo::analogCrop

## width

output_size ipa_sensor_info::width

The camera sensor pixel array active area width.

The horizontal size of the output image.

The horizontal size of the analog crop rectangle.

See also
  libcamera::CameraSensorInfo::activeAreaSize
  libcamera::CameraSensorInfo::analogCrop
  libcamera::CameraSensorInfo::outputSize

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_interface.h
- src/libcamera/ipa_interface.cpp